Name: ruby-amazon
Version: 0.9.2
Release: alt0.1

Summary: Ruby/Amazon module for access to Amazon Web Services
License: GPL
Group: Development/Ruby
Url: http://www.caliban.org/ruby/ruby-amazon.shtml

Packager: Vitaly Lipatov <lav@altlinux.ru>

Source: http://www.caliban.org/files/ruby/%name-%version.tar.bz2

BuildRequires: ruby libruby-devel ruby-tool-rdoc

# Build documentation
%define rdoc 1

%description
Ruby/Amazon is a Ruby interface to Amazon Web Services. Information on the
Amazon Web Services can be found at:
http://www.amazon.com/gp/browse.html?node=3435361

%prep
%setup -q
ruby setup.rb config --site-ruby=%ruby_sitelibdir
ruby setup.rb setup

%install
ruby -rvendor-specific setup.rb install --prefix=%buildroot

%if %rdoc
#rdocpath=`ruby -rrdoc/ri/ri_paths -e 'puts RI::Paths::PATH[1] || RI::Paths::PATH[0]'`
rdoc -r -o %buildroot%ruby_ri_sitedir -x CVS lib
rm -f %buildroot%ruby_ri_sitedir/created.rid
%endif

%files
%ruby_sitelibdir/*.rb
%ruby_sitelibdir/amazon/
%ruby_ri_sitedir/Amazon/
%ruby_ri_sitedir/Fixnum/
%doc README README.rdoc TODO

%changelog
* Sun Feb 04 2007 Vitaly Lipatov <lav@altlinux.ru> 0.9.2-alt0.1
- new version 0.9.2
- reverted from orphaned, change packager, cleanup spec

* Sun Oct 16 2005 Pavel Vainerman <pv@altlinux.ru> 0.9.0-alt1
- first build for ALT Linux Sisyphus

